API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Get audio file info for a call GETGet call detail with transcript, classification, and summary GETGet upload job status GETList calls with pagination and optional date filter GETSearch calls by keyword GETManually set or clear a call's category PATCHUpload audio for transcription POST
ReferenceCalls

Upload audio for transcription

Accepts an audio file and queues it for async processing. Returns 202 Accepted with a job ID that can be used to track progress.

POST/v1/projects/{projectId}/calls/upload

Accepts an audio file and queues it for async processing. Returns 202 Accepted with a job ID that can be used to track progress.

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Query Parameters

channel_roles?string
force?boolean
Defaultfalse

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/calls/upload" \  -H "Content-Type: application/json" \  -d '{    "file": "string"  }'
{  "jobId": "string",  "status": "PENDING",  "submittedAt": "2019-08-24T14:15:22Z"}

Manually set or clear a call's category PATCH

Overrides the classifier's category. A null categoryId un-categorizes the call.

Clear all categories (delete entire taxonomy) DELETE

Next Page

file*file
Formatbinary